Bug 850920 - rhn-migrate-classic-to-rhsm should error out when both --servicelevel and --no-auto options are specified
rhn-migrate-classic-to-rhsm should error out when both --servicelevel and --n...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Alex Wood
Entitlement Bugs
:
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-08-22 14:29 EDT by John Sefler
Modified: 2013-01-07 22:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 22:59:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2012-08-22 14:29:35 EDT
Description of problem:
Currently if i specify options --servicelevel and --no-auto during rhn-migrate-classic-to-rhsm, the process will proceed with a successful migration, but the new consumer will have no service level preference set (even though you asked for one).

Since the subscription-manager requires that option --autosubscribe is required when using --servicelevel,
   [root@jsefler-rhel59 ~]# subscription-manager register --servicelevel=foo
   Error: Must use --autosubscribe with --servicelevel.
I would also like to see rhn-migrate-classic-to-rhsm require that an absence of --no-auto be required when using --servicelevel.


Version-Release number of selected component (if applicable):
[root@jsefler-rhel59 ~]# rpm -q subscription-manager-migration
subscription-manager-migration-1.0.14-1.git.16.fec8200.el5


How reproducible:


Steps to Reproduce:
rhn-migrate-classic-to-rhsm --no-auto --servicelevel=foo
rhn-migrate-classic-to-rhsm -n -s foo
  
Actual results:
successful migration with no service level set

Expected results:
Error: Must not use --no-auto with --servicelevel

Additional info:
Comment 1 RHEL Product and Program Management 2012-08-22 14:38:05 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Alex Wood 2012-09-10 10:46:08 EDT
commit a15f309ad5a9f27e0afad6cb7ee7e61c7239c22c
Author: Alex Wood <awood@redhat.com>
Date:   Fri Sep 7 12:59:10 2012 -0400

    850920: --servicelevel and --no-auto are mutually exclusive.

Available in subscription-manager-1.0.18+
Comment 4 John Sefler 2012-09-14 15:09:05 EDT
Verifying version...
[root@jsefler-rhel59 ~]# rpm -q subscription-manager-migration
subscription-manager-migration-1.0.18-1.el5

[root@jsefler-rhel59 ~]# rhn-migrate-classic-to-rhsm --no-auto --servicelevel=foo
The --servicelevel and --no-auto options cannot be used together.
[root@jsefler-rhel59 ~]# rhn-migrate-classic-to-rhsm -n -s foo
The --servicelevel and --no-auto options cannot be used together.
[root@jsefler-rhel59 ~]# rhn-migrate-classic-to-rhsm --no-auto -s foo
The --servicelevel and --no-auto options cannot be used together.
[root@jsefler-rhel59 ~]# rhn-migrate-classic-to-rhsm -n --servicelevel=foo
The --servicelevel and --no-auto options cannot be used together.

Moving to VERIFIED
Comment 6 errata-xmlrpc 2013-01-07 22:59:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0033.html

Note You need to log in before you can comment on or make changes to this bug.